Summary:        Digest-SHA1 Perl module
Name:           perl-Digest-SHA1
Version:        2.13
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest-SHA1
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/Digest-SHA1-%{version}.tar.gz

BuildRequires:  findutils
BuildRequires:  make gcc glibc-common
BuildRequires:  perl-interpreter perl-devel perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Digest::base) perl(DynaLoader) perl(Exporter) perl(strict) perl(vars)
BuildRequires:  perl(Test)
Recommends:     perl(Digest::base)

%description
This module provides the ability to use the NIST SHA-1 message digest algorithm in Perl 
programs. The algorithm takes an arbitrary length message as input and then generates a 1
60-bit input "fingerprint" or "message digest" as output.

This module provides a procedural interface that is simple to use, and an object oriented 
interface that can handle messages of arbitrary length and read files directly.

A binary digest will be 20 bytes long. A hex digest will be 40 characters long. A base64 
digest will be 27 characters long.

%prep
%autosetup -n Digest-SHA1-%{version} 
f=Changes ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes README fip180-1.{gif,html}
%{perl_vendorarch}/Digest/
%{perl_vendorarch}/auto/Digest/
%{_mandir}/man3/*.3*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.13-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Wang Guodong <gordonwwang@tencent.com> - 2.13-1
- package init.
